i2c_verify_client
Prev | Chapter 27. I2C and SMBus Subsystem | Next

## Name

i2c_verify_client — return parameter as i2c_client, or NULL

## Synopsis

`struct i2c_client * i2c_verify_client (` | struct device * | dev`)`;

## Arguments

`dev`

  device, probably from some driver model iterator

## Description

When traversing the driver model tree, perhaps using driver model iterators like `device_for_each_child`(), you can't assume very much about the nodes you find. Use this function to avoid oopses caused by wrongly treating some non-I2C device as an i2c_client.

Prev | Up | Next
i2c_register_board_info | Home | i2c_new_device